# PhasicFlow: triangleAccessor Class Reference
PhasicFlow is an open-source parallel DEM (discrete element method) package for simulating granular flow. It is developed in C++ and can be exectued on both GPU (like CUDA) and CPU.

triangleAccessor Class Reference

## Public Member Functions

INLINE_FUNCTION_H | triangleAccessor (uint32 numPoints, deviceViewType1D< realx3 > points, uint32 numTrianlges, deviceViewType1D< uint32x3 > vertices)
INLINE_FUNCTION_HD | triangleAccessor (const triangleAccessor &)=default
INLINE_FUNCTION_HD triangleAccessor & | operator= (const triangleAccessor &)=default
INLINE_FUNCTION_HD | triangleAccessor (triangleAccessor &&)=default
INLINE_FUNCTION_HD triangleAccessor & | operator= (triangleAccessor &&)=default
INLINE_FUNCTION_HD | ~triangleAccessor ()=default
INLINE_FUNCTION_HD realx3x3 | triangle (uint32 i) const
INLINE_FUNCTION_HD realx3x3 | operator() (uint32 i) const
INLINE_FUNCTION_HD realx3x3 | operator[] (uint32 i) const
INLINE_FUNCTION_HD uint32 | numPoints () const
INLINE_FUNCTION_HD uint32 | numTrianlges () const

## Private Attributes

uint32 | numPoints_
uint32 | numTriangles_
deviceViewType1D< realx3 > | dPoints_
deviceViewType1D< uint32x3 > | dVectices_

## Detailed Description

Definition at line 39 of file triSurface.hpp.

## Constructor & Destructor Documentation

## triangleAccessor() [1/3]

INLINE_FUNCTION_H triangleAccessor | ( | uint32 | numPoints,
|  | deviceViewType1D< realx3 > | points,
|  | uint32 | numTrianlges,
|  | deviceViewType1D< uint32x3 > | vertices
| ) |  |

inline

Definition at line 52 of file triSurface.hpp.

## triangleAccessor() [2/3]

INLINE_FUNCTION_HD triangleAccessor | ( | const triangleAccessor & |  | ) |

default

## triangleAccessor() [3/3]

INLINE_FUNCTION_HD triangleAccessor | ( | triangleAccessor && |  | ) |

default

## ~triangleAccessor()

INLINE_FUNCTION_HD ~triangleAccessor | ( |  | ) |

default

## Member Function Documentation

## operator=() [1/2]

INLINE_FUNCTION_HD triangleAccessor& operator= | ( | const triangleAccessor & |  | ) |

default

## operator=() [2/2]

INLINE_FUNCTION_HD triangleAccessor& operator= | ( | triangleAccessor && |  | ) |

default

## triangle()

INLINE_FUNCTION_HD realx3x3 triangle | ( | uint32 | i | ) | const

inline

Definition at line 80 of file triSurface.hpp.

References triangleAccessor::dPoints_, and triangleAccessor::dVectices_.

Referenced by triangleAccessor::operator()(), and triangleAccessor::operator[]().

Here is the caller graph for this function:

## operator()()

INLINE_FUNCTION_HD realx3x3 operator() | ( | uint32 | i | ) | const

inline

Definition at line 89 of file triSurface.hpp.

References triangleAccessor::triangle().

Here is the call graph for this function:

## operator[]()

INLINE_FUNCTION_HD realx3x3 operator[] | ( | uint32 | i | ) | const

inline

Definition at line 92 of file triSurface.hpp.

References triangleAccessor::triangle().

Here is the call graph for this function:

## numPoints()

INLINE_FUNCTION_HD uint32 numPoints | ( |  | ) | const

inline

Definition at line 95 of file triSurface.hpp.

References triangleAccessor::numPoints_.

## numTrianlges()

INLINE_FUNCTION_HD uint32 numTrianlges | ( |  | ) | const

inline

Definition at line 98 of file triSurface.hpp.

References triangleAccessor::numTriangles_.

## Member Data Documentation

## numPoints_

uint32 numPoints_

private

Definition at line 42 of file triSurface.hpp.

Referenced by triangleAccessor::numPoints().

## numTriangles_

uint32 numTriangles_

private

Definition at line 44 of file triSurface.hpp.

Referenced by triangleAccessor::numTrianlges().

## dPoints_

deviceViewType1D<realx3> dPoints_

private

Definition at line 46 of file triSurface.hpp.

Referenced by triangleAccessor::triangle().

## dVectices_

deviceViewType1D<uint32x3> dVectices_

private

Definition at line 48 of file triSurface.hpp.

Referenced by triangleAccessor::triangle().

The documentation for this class was generated from the following file:

- src/phasicFlow/triSurface/triSurface.hpp